- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sc::LimitExceeded< T > Class Template Reference

This is thrown when a limit is exceeded. More...

`#include <scexception.h>`

Inheritance diagram for sc::LimitExceeded< T >:

List of all members.

## Public Member Functions
| LimitExceeded (const char *description, const char *file, int line, T lim, T val, const ClassDesc *class_desc=0, const char *exception_type="LimitExceeded") throw ()
| LimitExceeded (const LimitExceeded &ref) throw ()
T | tolerance () throw ()
T | value () throw ()

## Detailed Description

### template<class T>
class sc::LimitExceeded< T >

This is thrown when a limit is exceeded.

It is more general than ToleranceExceeded. For problems that are numerical in nature and use double types, then ToleranceExceeded should be used instead.

The documentation for this class was generated from the following file:

- scexception.h